<template>
  <div class="main-container">
    <div class="form-container">
      <div class="form-content">
        <div class="form-image-column">
          <img
            loading="lazy"
            src="https://cdn.builder.io/api/v1/image/assets/TEMP/4d87686dd4cb24f7216c92037326078484e62a5a36b4dc6f58bff071f689c3d8?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9"
            alt="Decorative Image"
          />
        </div>
        <div class="form-section">
          <div class="form-wrapper">
            <h1 class="form-title">FASCO</h1>
            <h2 class="form-subtitle">Create Account</h2>
            <div class="social-signup">
              <button @click="signUpWithGoogle" class="social-button">
                <img
                  loading="lazy"
                  src="https://cdn.builder.io/api/v1/image/assets/TEMP/5bf3afc23d9ab62319a676aa1df50e81a4a5a1d91e38f66f64d7f53ee6d48853?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9"
                  alt="Google Icon"
                />
                <span class="social-text">Sign up with Google</span>
              </button>
              <button @click="signUpWithEmail" class="social-button">
                <img
                  loading="lazy"
                  src="https://cdn.builder.io/api/v1/image/assets/TEMP/69027497b2020345eab64ce5a68301d307d8b7a83799173a00a30d0ab646c7cc?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9"
                  alt="Email Icon"
                />
                <span class="social-text">Sign up with Email</span>
              </button>
            </div>
            <div class="divider">
              <span class="divider-line"></span>
              <span class="divider-text">OR</span>
              <span class="divider-line"></span>
            </div>
            <form class="signup-form" @submit.prevent="createAccount">
              <div class="form-group">
                <label for="firstName" class="form-label">First Name</label>
                <input
                  type="text"
                  id="firstName"
                  v-model="firstName"
                  class="form-input"
                  aria-label="First Name"
                />
              </div>
              <div class="form-group">
                <label for="lastName" class="form-label">Last Name</label>
                <input
                  type="text"
                  id="lastName"
                  v-model="lastName"
                  class="form-input"
                  aria-label="Last Name"
                />
              </div>
              <div class="form-group">
                <label for="email" class="form-label">Email Address</label>
                <input
                  type="email"
                  id="email"
                  v-model="email"
                  class="form-input"
                  aria-label="Email Address"
                />
              </div>
              <div class="form-group">
                <label for="phone" class="form-label">Phone Number</label>
                <input
                  type="tel"
                  id="phone"
                  v-model="phone"
                  class="form-input"
                  aria-label="Phone Number"
                />
              </div>
              <div class="form-group">
                <label for="password" class="form-label">Password</label>
                <input
                  type="password"
                  id="password"
                  v-model="password"
                  class="form-input"
                  aria-label="Password"
                />
              </div>
              <div class="form-group">
                <label for="confirmPassword" class="form-label"
                  >Confirm Password</label
                >
                <input
                  type="password"
                  id="confirmPassword"
                  v-model="confirmPassword"
                  class="form-input"
                  aria-label="Confirm Password"
                />
              </div>
              <button type="submit" class="form-button">Create Account</button>
              <p class="login-prompt">
                <span>Already have an account? </span>
                <a href="#" class="login-link" @click="login">Login</a>
              </p>
              <p class="terms-conditions">FASCO Terms & Conditions</p>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      firstName: "",
      lastName: "",
      email: "",
      phone: "",
      password: "",
      confirmPassword: "",
    };
  },
  methods: {
    signUpWithGoogle() {
      console.log("Sign up with Google");
    },
    signUpWithEmail() {
      console.log("Sign up with Email");
    },
    createAccount() {
      console.log("Account created");
    },
    login() {
      console.log("Login");
    },
  },
};
</script>

<style scoped>
.main-container {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  padding: 80px 60px;
}

@media (max-width: 991px) {
  .main-container {
    padding: 0 20px;
  }
}

.form-container {
  border: 1px solid #dbdbdb;
  background-color: #fff;
  margin-top: 43px;
  width: 100%;
  max-width: 1920px;
  padding: 2px 0;
}

@media (max-width: 991px) {
  .form-container {
    max-width: 100%;
    margin-top: 40px;
  }
}

.form-content {
  display: flex;
  gap: 20px;
}

@media (max-width: 991px) {
  .form-content {
    flex-direction: column;
    align-items: stretch;
    gap: 0;
  }
}

.form-image-column {
  display: flex;
  flex-direction: column;
  width: 50%;
}

@media (max-width: 991px) {
  .form-image-column {
    width: 100%;
  }
}

.form-image {
  width: 100%;
  aspect-ratio: 0.88;
  object-fit: auto;
  object-position: center;
}

@media (max-width: 991px) {
  .form-image {
    max-width: 100%;
    margin-top: 40px;
  }
}

.form-section {
  display: flex;
  flex-direction: column;
  width: 50%;
  margin-left: 20px;
}

@media (max-width: 991px) {
  .form-section {
    width: 100%;
  }
}

.form-wrapper {
  margin-top: 99px;
  display: flex;
  flex-direction: column;
  font-size: 16px;
  font-weight: 400;
}

@media (max-width: 991px) {
  .form-wrapper {
    margin-top: 40px;
  }
}

.form-title {
  color: #484848;
  font-size: 67px;
  line-height: 1;
}

@media (max-width: 991px) {
  .form-title {
    font-size: 40px;
  }
}

.form-subtitle {
  color: #000;
  margin-top: 102px;
  font-size: 30px;
  line-height: 1.33;
}

@media (max-width: 991px) {
  .form-subtitle {
    margin-top: 40px;
  }
}

.social-signup {
  display: flex;
  margin-top: 39px;
  width: 100%;
  gap: 20px;
  color: #000;
}

@media (max-width: 991px) {
  .social-signup {
    flex-wrap: wrap;
  }
}

.social-button {
  display: flex;
  align-items: center;
  gap: 13px;
  padding: 10px 45px;
  border: 1px solid #5b86e5;
  background-color: #fff;
  border-radius: 8px;
  cursor: pointer;
}

@media (max-width: 991px) {
  .social-button {
    padding: 0 20px;
  }
}

.social-icon {
  width: 36px;
  aspect-ratio: 1;
  object-fit: auto;
  object-position: center;
}

.social-text {
  font-family: Poppins, sans-serif;
  flex-grow: 1;
  margin: auto 0;
}

.divider {
  display: flex;
  align-items: center;
  margin-top: 94px;
  color: #838383;
  font-size: 30px;
  font-weight: 700;
  gap: 11px;
}

@media (max-width: 991px) {
  .divider {
    margin-top: 40px;
  }
}

.divider-line {
  flex-grow: 1;
  height: 5px;
  background-color: #838383;
}

.divider-text {
  font-family: Poppins, sans-serif;
}

.signup-form {
  margin-top: 90px;
  display: flex;
  flex-direction: column;
  gap: 18px;
  color: #9d9d9d;
}

@media (max-width: 991px) {
  .signup-form {
    margin-top: 40px;
  }
}

.form-group {
  display: flex;
  flex-direction: column;
}

.form-label {
  font-family: Poppins, sans-serif;
}

.form-input {
  height: 1px;
  background-color: #9d9d9d;
  margin-top: 20px;
  border: 1px solid #9d9d9d;
}

.form-button {
  margin-top: 44px;
  padding: 25px 60px;
  border-radius: 10px;
  background-color: #000;
  color: #fff;
  font-family: Poppins, sans-serif;
  font-weight: 600;
  letter-spacing: 1.28px;
  cursor: pointer;
}

@media (max-width: 991px) {
  .form-button {
    padding: 0 20px;
  }
}

.login-prompt {
  margin-top: 33px;
  align-self: center;
  color: #5b86e5;
  font-family: Telegraf, sans-serif;
  line-height: 40px;
}

.login-link {
  color: #5b86e5;
}

.terms-conditions {
  margin-top: 114px;
  align-self: end;
  color: #000;
  font-family: Poppins, sans-serif;
}

@media (max-width: 991px) {
  .terms-conditions {
    margin-top: 40px;
  }
}
</style>
